#ifndef FREQSETTER_H
#define FREQSETTER_H

/**
 * Ouvre les fichiers de fréquence d'un CPU ou de tous les CPU
 * @param cpuID Indique le core à controller, si -1, tous les cores sont controllés
 * @return un code d'erreur, ou 0 lorsque tout va bien
 */
char openFreqSetterFiles(int cpuID);

/**
 * Définit une fréquence
 */
char setAllFreq(int targetFreq);

/**
 * Ferme les fichiers de fréquence
 */
void closeFreqSetterFiles(void);

/**
 * Définit un nouveau gouverneur pour le CPU
 * @param newPolicy le nouveau gouverneur à utiliser
 */
void setCPUGovernor(const char* newPolicy);

#endif
